@import 'config';
@import 'detail';
@import 'sidebar';
@import 'cards';
@import 'btn';
@import 'calendar';

body {
    font-size: map-get($font-size , "normal");
    background: transparent;
    transition: ease-in-out .3s;
}

#sidenav {
    position: fixed;
    width: 112px;
    height: 100%;
    background: $primary-color;
    border-radius: 0 24px 24px 0;
    top: 0;
    left: 0;
    z-index: 1;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    padding: 10px;
    overflow-x: hidden;
    transition: ease-in-out 0.5s;
}

.sidenav__logo {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    padding: 15px;
    align-items: center;

    &-img-longo{
        display: none;
        transition: .5s;
    }

    &-icon i {
        color: #AE79D7;
        padding-right: 29%;
        margin: 10px;
    }

}


nav .sidemenu {
    display: flex;
    flex-direction: column;

    &-item {
        display: flex;
        flex-direction: row;
        list-style: none;
        width: 48px;
        height: 48px;
        margin: 5px;
        text-align: center;
        padding: 10px;

        a {
            display: flex;
            flex-direction: row;
            height: 100%;
            font-weight: 500;
            font-size: 14px;
            color: $my-info-color;
            text-decoration: none;
            align-items: center;
            transition: .3s;

            i {
                color: $my-info-color;
                height: 100%;
                font-size: 14pt;
                margin: 0;
                display: flex;
                align-items: center;
                padding-left: 5px;
            }

            span {
                margin-left: 15px;
                text-align: left;
                padding-top: 5px;
                padding-left: 5px;
            }
        }

        &--active {
            background: #552479;
            border-radius: 11px;
        }
    }
}

.icon-definitions a {
    display: flex;
    flex-direction: row;
    height: 100%;
    font-weight: 500;
    font-size: 14px;
    color: $my-info-color;
    text-decoration: none;
    align-items: center;
    transition: .3s;

    i {
        color: $my-info-color;
        height: 100%;
        font-size: 14pt;
        margin: 0;
        display: flex;
        align-items: center;
        padding-left: 5px;
    }

    span {
        display: block;
        margin-left: 15px;
        text-align: left;
        padding-top: 5px;
        padding-left: 5px;
    }
}